<!DOCTYPE html>
<html>

<head>
  <title> Bootstrap template- Pizza 365 project </title>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">

  <!-- font -->
  <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Lato">
  <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">

  <!-- Bootstrap -->
  <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
  <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
  <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
</head>

<body onload="onLoadDingPage()">

  <!-- Menu -->
  <div class="container-fluid bg-light">
    <div class="row">
      <div class="col-sm-12">
        <nav class="navbar fixed-top navbar-expand-lg navbar-light bg-light">
          <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarNav"
            aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
            <span class="navbar-toggler-icon"></span>
          </button>
          <div class="collapse navbar-collapse" id="navbarNav">
            <ul class="navbar-nav nav-fill w-100">
              <li class="nav-item active">
                <a class="nav-link" href="#">Home</a>
              </li>
              <li class="nav-item">
                <a class="nav-link" href="#plans">Plans</a>
              </li>
              <li class="nav-item">
                <a class="nav-link" href="#about">About</a>
              </li>
              <li class="nav-item"> <!-- đổi thành dạng click để dễ xử lý-->
                <button class="btn" onclick="onNavOrderDetailClick()"> Order Detail</button>
              </li>
            </ul>
          </div>
        </nav>
      </div>
    </div>
  </div>

  <!-- Content -->
  <div class="container" style="padding: 120px 0 50px 0;">
    <div class="row">
      <div class="col-sm-12">
        <div class="row">
          <!-- Title row home -->
          <div class="col-sm-12">
            <h1><b>Pizza 365 Truly italian !
              </b></h1>
          </div>

          <!-- Slide row home -->
          <div class="col-sm-12">
            <div id="carouselExampleIndicators" class="carousel slide" data-ride="carousel">
              <ol class="carousel-indicators">
                <li data-target="#carouselExampleIndicators" data-slide-to="0" class="active"></li>
                <li data-target="#carouselExampleIndicators" data-slide-to="1"></li>
                <li data-target="#carouselExampleIndicators" data-slide-to="2"></li>
                <li data-target="#carouselExampleIndicators" data-slide-to="3"></li>
                <li data-target="#carouselExampleIndicators" data-slide-to="4"></li>
              </ol>
              <div class="carousel-inner">
                <div class="carousel-item active">
                  <img class="d-block w-100" src="images/mon_y_1.jpg" alt="First slide">
                </div>
                <div class="carousel-item">
                  <img class="d-block w-100" src="images/mon_y_2.jpg" alt="Second slide">
                </div>
                <div class="carousel-item">
                  <img class="d-block w-100" src="images/mon_y_3.jpg" alt="Third slide">
                </div>
                <div class="carousel-item">
                  <img class="d-block w-100" src="images/mon_y_4.jpg" alt="Third slide">
                </div>
                <div class="carousel-item">
                  <img class="d-block w-100" src="images/mon_y_5.jpg" alt="Third slide">
                </div>
              </div>
              <a class="carousel-control-prev" href="#carouselExampleIndicators" role="button" data-slide="prev">
                <span class="carousel-control-prev-icon" aria-hidden="true"></span>
                <span class="sr-only">Previous</span>
              </a>
              <a class="carousel-control-next" href="#carouselExampleIndicators" role="button" data-slide="next">
                <span class="carousel-control-next-icon" aria-hidden="true"></span>
                <span class="sr-only">Next</span>
              </a>
            </div>
          </div>

          <!-- Title what we offer -->
          <div class="col-sm-12 text-center p-4 mt-4">
            <h2><b class="p-2 border-bottom">What We Offer</b></h2>
          </div>

          <!-- Content what we offer -->
          <div class="col-sm-12">
            <div class="row">
              <div class="col-sm-3 p-4 bg-white border">
                <h3 class="p-2">Design</h3>
                <p class="p-2">Phasellus eget enim eu lectus faucibus vestibulum. Suspendisse sodales pellentesque
                  elementum.</p>
              </div>
              <div class="col-sm-3 p-4 bg-light border">
                <h3 class="p-2">Branding</h3>
                <p class="p-2">Phasellus eget enim eu lectus faucibus vestibulum. Suspendisse sodales pellentesque
                  elementum.</p>
              </div>
              <div class="col-sm-3 p-4 bg-secondary text-white border">
                <h3 class="p-2">Consultation</h3>
                <p class="p-2">Phasellus eget enim eu lectus faucibus vestibulum. Suspendisse sodales pellentesque
                  elementum.</p>
              </div>
              <div class="col-sm-3 p-4 bg-dark text-white border">
                <h3 class="p-2">Promises</h3>
                <p class="p-2">Phasellus eget enim eu lectus faucibus vestibulum. Suspendisse sodales pellentesque
                  elementum.</p>
              </div>
            </div>
          </div>
        </div>

        <div id="plans" class="row">
          <!-- Title what we offer -->
          <div class="col-sm-12 text-center p-4 mt-4">
            <h2><b class="p-1 border-bottom">Menu Combo Pizza 365</b></h2>
            <p><span class="p-2">Hãy chọn cỡ pizza phù hợp với bạn!</span></p>
          </div>
          <!-- Content what we offer -->
          <div class="col-sm-12">
            <div class="row">
              <div class="col-sm-4">
                <div class="card">
                  <div class="card-header bg-dark text-white text-center">
                    <h3>S(Small)</h3>
                  </div>
                  <div class="card-body text-center">
                    <ul class="list-group list-group-flush">
                      <li class="list-group-item"><b>Đường kính:</b> 20cm</li>
                      <li class="list-group-item"><b>Sườn nướng:</b> 2</li>
                      <li class="list-group-item"><b>Salad:</b> 200 g</li>
                      <li class="list-group-item"><b>Nước ngọt:</b> 2</li>
                      <li class="list-group-item">
                        <h1><b>VND: </b></h1> 150.000
                      </li>
                    </ul>
                  </div>
                  <div class="card-footer text-center">
                    <button id="btn-plan-small" onclick="onBtnSmallMenu()" class="btn btn-success"
                      data-is-selected-menu="N">Chọn</button>
                  </div>
                </div>
              </div>
              <div class="col-sm-4">
                <div class="card">
                  <div class="card-header bg-secondary text-white text-center">
                    <h3>M(Medium)</h3>
                  </div>
                  <div class="card-body text-center">
                    <ul class="list-group list-group-flush">
                      <li class="list-group-item"><b>Đường kính:</b> 25cm</li>
                      <li class="list-group-item"><b>Sườn nướng:</b> 4</li>
                      <li class="list-group-item"><b>Salad:</b> 300 g</li>
                      <li class="list-group-item"><b>Nước ngọt:</b> 3</li>
                      <li class="list-group-item">
                        <h1><b>VND:</b></h1> 200.000
                      </li>
                    </ul>
                  </div>
                  <div class="card-footer text-center">
                    <button id="btn-plan-medium" onclick="onBtnMediumMenu()" class="btn btn-success"
                      data-is-selected-menu="N">Chọn</button>
                  </div>
                </div>
              </div>
              <div class="col-sm-4">
                <div class="card">
                  <div class="card-header bg-dark text-white text-center">
                    <h3>L(Large)</h3>
                  </div>
                  <div class="card-body text-center">
                    <ul class="list-group list-group-flush">
                      <li class="list-group-item"><b>Đường kính:</b> 30cm</li>
                      <li class="list-group-item"><b>Sườn nướng:</b> 8</li>
                      <li class="list-group-item"><b>Salad:</b> 500 g</li>
                      <li class="list-group-item"><b>Nước ngọt:</b> 4</li>
                      <li class="list-group-item">
                        <h1><b>VND:</b></h1> 250.000
                      </li>
                    </ul>
                  </div>
                  <div class="card-footer text-center">
                    <button onclick="onBtnLargeMenu()" id="btn-plan-large" class="btn btn-success"
                      data-is-selected-menu="N">Chọn</button>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>

        <div id="about" class="row">
          <!-- Title Who We Are -->
          <div class="col-sm-12 text-center p-4 mt-4">
            <h2><b class="p-2 border-bottom">Chọn loại Pizza</b></h2>
          </div>

          <!-- Content Who We Are -->
          <div class="col-sm-12">
            <div class="row">
              <div class="col-sm-4">
                <div class="card w-100" style="width: 18rem;">
                  <img src="images/pizza_type_1.jpg" class="card-img-top">
                  <div class="card-body">
                    <h3>Jane Doe</h3>
                    <p>CEO & Founder</p>
                    <p>Phasellus eget enim eu lectus faucibus vestibulum. Suspendisse sodales pellentesque elementum.
                    </p>
                    <p><button id="btn-plan-hawai" onclick="onBtnPizzaHawai()" class="btn btn-info w-100"
                        data-is-selected-pizza="N">Chọn</button></p>
                  </div>
                </div>
              </div>
              <div class="col-sm-4">
                <div class="card w-100" style="width: 18rem;">
                  <img src="images/pizza_type_2.jpg" class="card-img-top">
                  <div class="card-body">
                    <h3>Mike Ross</h3>
                    <p>Art Director</p>
                    <p>Phasellus eget enim eu lectus faucibus vestibulum. Suspendisse sodales pellentesque elementum.
                    </p>
                    <p><button id="btn-plan-haisan" onclick="onBtnPizzaHaiSan()" class="btn btn-info w-100"
                        data-is-selected-pizza="N">Chọn</button></p>
                  </div>
                </div>
              </div>
              <div class="col-sm-4">
                <div class="card w-100" style="width: 18rem;">
                  <img src="images/pizza_type_3.jpg" class="card-img-top">
                  <div class="card-body">
                    <h3>John Doe</h3>
                    <p>Designer</p>
                    <p>Phasellus eget enim eu lectus faucibus vestibulum. Suspendisse sodales pellentesque elementum.
                    </p>
                    <p><button id="btn-plan-bacon" onclick="onBtnPizzaBaCon()" class="btn btn-info w-100"
                        data-is-selected-pizza="N">Chọn</button></p>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>

        <div id="contact" class="row">
          <!-- Title Contact Us -->
          <div class="col-sm-12 text-center p-4 mt-4">
            <h2>Chọn đồ uống</h2>
          </div>
          <div class="col-sm-12">
            <select id="select-drinks" class="form-control">
              <option>Chọn đồ uống</option>

            </select>
          </div>
          <br>
          <br>
          <!-- Content Contact Us -->
          <div class="col-sm-12">
            <div class="row">
              <div class="col-sm-12">
                <div class="form-group">
                  <label for="fullname">Họ và tên</label>
                  <input type="text" class="form-control" id="inp-fullname" placeholder="Họ và tên">
                </div>
                <div class="form-group">
                  <label for="email">Email</label>
                  <input type="text" class="form-control" id="inp-email" placeholder="Email">
                </div>
                <div class="form-group">
                  <label for="dien-thoai">Điện thoại</label>
                  <input type="text" class="form-control" id="inp-dien-thoai" placeholder="Điện thoại">
                </div>
                <div class="form-group">
                  <label for="dia-chi">Địa chỉ</label>
                  <input type="text" class="form-control" id="inp-dia-chi" placeholder="Địa chỉ">
                </div>
                <div class="form-group">
                  <label for="message">Lời nhắn</label>
                  <input type="text" class="form-control" id="inp-message" placeholder="Lời nhắn">
                </div>
                <div class="form-group">
                  <label for="message">Mã giảm giá</label>
                  <input type="text" class="form-control" id="inp-voucher-id" placeholder="mã giảm giá">
                </div>
                <button type="button" class="btn btn-dark w-100">Send (Gửi đơn)</button>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>

  <!-- Footer -->
  <div class="container-fluid bg-light p-5">
    <div class="row text-center">
      <div class="col-sm-12">
        <h4 class="m-2">Footer</h4>
        <a href="#" class="btn btn-dark m-3"><i class="fa fa-arrow-up"></i>To the top</a>
        <div class="m-2">
          <i class="fa fa-facebook-official w3-hover-opacity"></i>
          <i class="fa fa-instagram w3-hover-opacity"></i>
          <i class="fa fa-snapchat w3-hover-opacity"></i>
          <i class="fa fa-pinterest-p w3-hover-opacity"></i>
          <i class="fa fa-twitter w3-hover-opacity"></i>
          <i class="fa fa-linkedin w3-hover-opacity"></i>
        </div>
      </div>
    </div>
  </div>
</body>

<script>
  "use strict";
  /*** REGION 1 - Global variables - Vùng khai báo biến, hằng số, tham số TOÀN CỤC */
  const gREQUEST_STATUS_OK = 200;
  const gREQUEST_READY_STATUS_FINISH_AND_OK = 4;
  const gREQUEST_CREATE_SUCCESS = 201; // status 201 - tạo thành công
  const gBASE_URL_Drinks = "http://203.171.20.210:8080/devcamp-pizza365/drinks";
  //
  const gSmall = "Small";
  const gMedium = "Medium";
  const gLarge = "Large";
  //
  const gPizzaHawai = "Hawai";
  const gPizzaHaiSan = "Hải Sản";
  const gPizzaBaCon = "Thịt hun khói";

  /*** REGION 2 - Vùng gán / thực thi hàm xử lý sự kiện cho các elements */
  // Hàm sự kiện onLoadDing
  function onLoadDingPage() {
    var vXhttp = new XMLHttpRequest();
    callAPILoadDingPage(vXhttp);
    vXhttp.onreadystatechange = function () {
      if (this.readyState == gREQUEST_READY_STATUS_FINISH_AND_OK && this.status == gREQUEST_STATUS_OK) {
        showDataSelectDrinks(vXhttp);
      }
    };
  }
  //
  function onNavOrderDetailClick() {
    console.log("%cGọi chi tiết order ở đây", "color:blue");
  }
  // các sự kiện Obj menu
  function onBtnSmallMenu() {
    changeColorButtonMenu(gSmall);
    var vGetObj = oBjPlanMenu(gSmall, "20cm", 2, "200 g", 2, "150.000");
    vGetObj.displayInConsole();
  }
  //
  function onBtnMediumMenu() {
    changeColorButtonMenu(gMedium);
    var vGetObj = oBjPlanMenu(gMedium, "25 cm", 4, "300 g", 3, "VND 200.000");
    vGetObj.displayInConsole();
  }
  //
  function onBtnLargeMenu() {
    changeColorButtonMenu(gLarge);
    var vGetObj = oBjPlanMenu(gLarge, "30cm", 8, "500 g", 4, "VND 250.000");
    vGetObj.displayInConsole();
  }
  // các sự kiện Chọn loại Pizza
  function onBtnPizzaHawai() {
    changeColorButtonPizza(gPizzaHawai);
    var vGetObj = oBjPlanPizza(gPizzaHawai);
    vGetObj.displayInConsolePizza();
  }
  //
  function onBtnPizzaHaiSan() {
    changeColorButtonPizza(gPizzaHaiSan);
    var vGetObj = oBjPlanPizza(gPizzaHaiSan);
    vGetObj.displayInConsolePizza();
  }
  //
  function onBtnPizzaBaCon() {
    changeColorButtonPizza(gPizzaBaCon);
    var vGetObj = oBjPlanPizza(gPizzaBaCon);
    vGetObj.displayInConsolePizza();
  }
  /*** REGION 3 - Event handlers - Vùng khai báo các hàm xử lý sự kiện */
  // xử lý đối tượng Menu 
  function oBjPlanMenu(paramMenu, paramDuongKinh, paramSuonNuong, paramSalad, paramDrink, paramPriceVnd) {
    var vObjMenu =
    {
      menuName: paramMenu,
      duongKinhCM: paramDuongKinh,
      suongNuong: paramSuonNuong,
      saladGr: paramSalad,
      drink: paramDrink,
      priceVND: paramPriceVnd,
      // ghi vObjMenu ra console log
      displayInConsole: function () {
        console.log("%c ComBo of Menu :", " color :blues ");
        console.log("Menu : " + this.menuName);
        console.log("Đường Kính : " + this.duongKinhCM + "cm");
        console.log("Sườn Nướng : " + this.suonNuong);
        console.log("Salad : " + this.saladGr + "gam");
        console.log("Nước ngọt : " + this.drink);
        console.log("Hoá đơn phải trả : " + this.priceVND + "VND");
      }
    }
    return vObjMenu; //trả lại đối tượng, có đủ dữ liệu (attribute) và các methods (phương thức)
  }
  //
  function changeColorButtonMenu(paramPlan) {
    var vBtnSmall = document.getElementById("btn-plan-small");
    var vBtnMedium = document.getElementById("btn-plan-medium");
    var vBtnLarge = document.getElementById("btn-plan-large");
    // điều kiện nút CHỌN đổi màu
    if (paramPlan === gSmall) {
      vBtnSmall.className = "btn btn-warning";
      vBtnSmall.setAttribute("data-is-selected-menu", "Y");

      vBtnMedium.className = "btn btn-success";
      vBtnMedium.setAttribute("data-is-selected-menu", "N");

      vBtnLarge.className = "btn btn-success";
      vBtnLarge.setAttribute("data-is-selected-menu", "N");

    }
    else if (paramPlan === gMedium) {
      vBtnSmall.className = "btn btn-success";
      vBtnSmall.setAttribute("data-is-selected-menu", "N");

      vBtnMedium.className = "btn btn-warning";
      vBtnMedium.setAttribute("data-is-selected-menu", "Y");

      vBtnLarge.className = "btn btn-success";
      vBtnLarge.setAttribute("data-is-selected-menu", "N");
    }
    else if (paramPlan === gLarge) {
      vBtnSmall.className = "btn btn-success";
      vBtnSmall.setAttribute("data-is-selected-menu", "N");

      vBtnMedium.className = "btn btn-success";
      vBtnMedium.setAttribute("data-is-selected-menu", "N");

      vBtnLarge.className = "btn btn-warning";
      vBtnLarge.setAttribute("data-is-selected-menu", "Y");
    }
  }
  // Vùng sự kiện của Chọn Loại Pizza 
  function oBjPlanPizza(paramPizza) {
    var vObjPizza =
    {
      loaiPizza: paramPizza,
      //
      displayInConsolePizza: function () {
        console.log("Loại Pizza được chọn : " + this.loaiPizza);
      }
    };
    return vObjPizza;
  }
  //
  function changeColorButtonPizza(paramPizza) {
    var vBtnPizaaHawai = document.getElementById("btn-plan-hawai");
    var vBtnPizaaHaiSan = document.getElementById("btn-plan-haisan");
    var vBtnPizaaBaCon = document.getElementById("btn-plan-bacon");
    if (paramPizza === gPizzaHawai) {
      vBtnPizaaHawai.className = "btn btn-warning w-100";
      vBtnPizaaHawai.setAttribute = ("data-is-selected-pizza", "Y");
      vBtnPizaaHaiSan.className = "btn btn-success w-100";
      vBtnPizaaHaiSan.setAttribute = ("data-is-selected-pizza", "N");
      vBtnPizaaBaCon.className = "btn btn-success w-100";
      vBtnPizaaBaCon.setAttribute = ("data-is-selected-pizza", "N");
    }
    else if (paramPizza === gPizzaHaiSan) {
      vBtnPizaaHawai.className = "btn btn-success w-100";
      vBtnPizaaHawai.setAttribute = ("data-is-selected-pizza", "N");
      vBtnPizaaHaiSan.className = "btn btn-warning w-100";
      vBtnPizaaHaiSan.setAttribute = ("data-is-selected-pizza", "Y");
      vBtnPizaaBaCon.className = "btn btn-success w-100";
      vBtnPizaaBaCon.setAttribute = ("data-is-selected-pizza", "N");
    }
    else if (paramPizza === gPizzaBaCon) {
      vBtnPizaaHawai.className = "btn btn-success w-100";
      vBtnPizaaHawai.setAttribute = ("data-is-selected-pizza", "N");
      vBtnPizaaHaiSan.className = "btn btn-success w-100";
      vBtnPizaaHaiSan.setAttribute = ("data-is-selected-pizza", "N");
      vBtnPizaaBaCon.className = "btn btn-warning w-100";
      vBtnPizaaBaCon.setAttribute = ("data-is-selected-pizza", "Y");
    }
  }
  // vùng sự kiện onLoadDing 
  // hàm gọi API Nước uông
  function callAPILoadDingPage(paramXmlHttp) {
    paramXmlHttp.open("GET", gBASE_URL_Drinks, true);
    paramXmlHttp.send();
  }
  // hàm hiện thị nước uống trong options
  function showDataSelectDrinks(paramXmlHttp)
  {
    var vPerson = JSON.parse(paramXmlHttp.responseText);
    var vSelect = document.getElementById("select-drinks");
    for(var bI = 0 ; bI <vPerson.length ; bI++)
    {
      var vOptions = document.createElement("option");
      vOptions.value = vPerson[bI].maUongNuoc ;
      console.log(vOptions);
      
      vOptions.text = vPerson[bI].tenNuocUong ;
      console.log(vOptions.text);
      vSelect.appendChild(vOptions);
    }
    
  }
/*** REGION 4 - Common funtions - Vùng khai báo hàm dùng chung trong toàn bộ chương trình*/

</script>

</html>